%define upstream_name    HTML-WikiConverter-Markdown
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Convert HTML to Markdown markup
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::WikiConverter)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch: noarch


%description
This module contains rules for converting HTML into Markdown markup. You
should not use this module directly; HTML::WikiConverter is the entry point
for html->wiki conversion (eg, see synopsis above). See the
HTML::WikiConverter manpage for additional usage details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-8.mga8
+ Revision: 1494981
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-7.mga7
+ Revision: 1268515
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1028425
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 949852
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 790522
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 740542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 684990
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 660467
- update to 0.06

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 512086
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 42852
- mageia rebuild
- imported package perl-HTML-WikiConverter-Markdown


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.50.0-1mdv2010.1
+ Revision: 542890
- import perl-HTML-WikiConverter-Markdown


* Thu May 06 2010 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist
